<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::alerts::test::TestAlert Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert.html">TestAlert</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::test::TestAlert Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::alerts::test::TestAlert:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html" title="alexaClientSDK::capability\lAgents::alerts::Alert" alt="" coords="244,47,422,85"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html" title="alexaClientSDK::capability\lAgents::alerts::renderer\l::RendererObserverInterface" alt="" coords="5,5,196,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::alerts::test::TestAlert:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html" title="alexaClientSDK::capability\lAgents::alerts::Alert" alt="" coords="244,47,422,85"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html" title="alexaClientSDK::capability\lAgents::alerts::renderer\l::RendererObserverInterface" alt="" coords="5,5,196,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a17eb89ecdae88dc2e597d127bcea9cb1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert.html#a17eb89ecdae88dc2e597d127bcea9cb1">TestAlert</a> ()</td></tr>
<tr class="separator:a17eb89ecdae88dc2e597d127bcea9cb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e2cd0c147c1e7cc8e9f513d05e82ca1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert.html#a5e2cd0c147c1e7cc8e9f513d05e82ca1">TestAlert</a> (const std::string &amp;token, const std::string &amp;schedTime)</td></tr>
<tr class="separator:a5e2cd0c147c1e7cc8e9f513d05e82ca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c8ee193f8b408557c6451e5ca196c5f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert.html#a5c8ee193f8b408557c6451e5ca196c5f">getTypeName</a> () const override</td></tr>
<tr class="separator:a5c8ee193f8b408557c6451e5ca196c5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td></tr>
<tr class="memitem:a8e5cbde6c78a3328b232d860bc1f0af1 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8e5cbde6c78a3328b232d860bc1f0af1">Alert</a> (std::function&lt; std::unique_ptr&lt; std::istream &gt;()&gt; defaultAudioFactory, std::function&lt; std::unique_ptr&lt; std::istream &gt;()&gt; shortAudioFactory)</td></tr>
<tr class="separator:a8e5cbde6c78a3328b232d860bc1f0af1 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a7053c4221284ccf52eeacd764b0ef inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a98a7053c4221284ccf52eeacd764b0ef">getDefaultAudioFactory</a> () const</td></tr>
<tr class="separator:a98a7053c4221284ccf52eeacd764b0ef inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5566195d4ee0697be7f3edc2059f4418 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a5566195d4ee0697be7f3edc2059f4418">getShortAudioFactory</a> () const</td></tr>
<tr class="separator:a5566195d4ee0697be7f3edc2059f4418 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68926f62a28519ebcf7f07fc9e52a597 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_context_info.html">Alert::ContextInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a68926f62a28519ebcf7f07fc9e52a597">getContextInfo</a> () const</td></tr>
<tr class="separator:a68926f62a28519ebcf7f07fc9e52a597 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8946fab32789fd5da299047c949938a7 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8946fab32789fd5da299047c949938a7">onRendererStateChange</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">renderer::RendererObserverInterface::State</a> state, const std::string &amp;reason) override</td></tr>
<tr class="separator:a8946fab32789fd5da299047c949938a7 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c6dc82ed5d6ea056671d4709121008 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7">ParseFromJsonStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a68c6dc82ed5d6ea056671d4709121008">parseFromJson</a> (const rapidjson::Value &amp;payload, std::string *errorMessage)</td></tr>
<tr class="separator:a68c6dc82ed5d6ea056671d4709121008 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aeab0d0d38a3ea37f52171cff9ce934 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a2aeab0d0d38a3ea37f52171cff9ce934">setRenderer</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface.html">renderer::RendererInterface</a> &gt; renderer)</td></tr>
<tr class="separator:a2aeab0d0d38a3ea37f52171cff9ce934 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9711dd2c7a99ca6bf8dd8cc8e4fa82c0 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a9711dd2c7a99ca6bf8dd8cc8e4fa82c0">setObserver</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">AlertObserverInterface</a> *observer)</td></tr>
<tr class="separator:a9711dd2c7a99ca6bf8dd8cc8e4fa82c0 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacb884a7749a82a05f5095c4d880d253 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#aacb884a7749a82a05f5095c4d880d253">activate</a> ()</td></tr>
<tr class="separator:aacb884a7749a82a05f5095c4d880d253 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21d4eee1d0c78dee6ce1b6512bfa7d00 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a21d4eee1d0c78dee6ce1b6512bfa7d00">deactivate</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158">StopReason</a> reason)</td></tr>
<tr class="separator:a21d4eee1d0c78dee6ce1b6512bfa7d00 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4588efe1e21aa97be5e91fa714bb90a7 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a4588efe1e21aa97be5e91fa714bb90a7">updateScheduledTime</a> (const std::string &amp;newScheduledTime)</td></tr>
<tr class="separator:a4588efe1e21aa97be5e91fa714bb90a7 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d681e83c484e92ae79e81c8c541436 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a06d681e83c484e92ae79e81c8c541436">snooze</a> (const std::string &amp;updatedScheduledTime)</td></tr>
<tr class="separator:a06d681e83c484e92ae79e81c8c541436 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca69902b11c2035c63f2655aa187889 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8ca69902b11c2035c63f2655aa187889">setFocusState</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> focusState)</td></tr>
<tr class="separator:a8ca69902b11c2035c63f2655aa187889 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abffaca6bb0535ce93d3c5dde06b10397 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#abffaca6bb0535ce93d3c5dde06b10397">setStateActive</a> ()</td></tr>
<tr class="separator:abffaca6bb0535ce93d3c5dde06b10397 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16fd8795bdf993c857f25e6a4b1db239 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a16fd8795bdf993c857f25e6a4b1db239">reset</a> ()</td></tr>
<tr class="separator:a16fd8795bdf993c857f25e6a4b1db239 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66f0123942d7ec1e77d45f5e2ece8094 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a66f0123942d7ec1e77d45f5e2ece8094">getToken</a> () const</td></tr>
<tr class="separator:a66f0123942d7ec1e77d45f5e2ece8094 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0437ed1869496bb71fedb74eb3da7190 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a0437ed1869496bb71fedb74eb3da7190">getScheduledTime_Unix</a> () const</td></tr>
<tr class="separator:a0437ed1869496bb71fedb74eb3da7190 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32b2de97e86e800a711993c3d06ad04 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#aa32b2de97e86e800a711993c3d06ad04">getScheduledTime_ISO_8601</a> () const</td></tr>
<tr class="separator:aa32b2de97e86e800a711993c3d06ad04 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c5f6dd640e530af582bf722de9429a6 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62">Alert::State</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a9c5f6dd640e530af582bf722de9429a6">getState</a> () const</td></tr>
<tr class="separator:a9c5f6dd640e530af582bf722de9429a6 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c74e2df561abdf819a0489c58fd5d4b inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158">StopReason</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a4c74e2df561abdf819a0489c58fd5d4b">getStopReason</a> () const</td></tr>
<tr class="separator:a4c74e2df561abdf819a0489c58fd5d4b inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af630f1923b6be85fef5b3ba2397ab1cc inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#af630f1923b6be85fef5b3ba2397ab1cc">getAlertData</a> (<a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_static_data.html">StaticData</a> *staticData, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_dynamic_data.html">DynamicData</a> *dynamicData) const</td></tr>
<tr class="separator:af630f1923b6be85fef5b3ba2397ab1cc inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a312588ae29f3583b990794a4596befb4 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a312588ae29f3583b990794a4596befb4">setAlertData</a> (<a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_static_data.html">StaticData</a> *staticData, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_dynamic_data.html">DynamicData</a> *dynamicData)</td></tr>
<tr class="separator:a312588ae29f3583b990794a4596befb4 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a550f4f27590cfd2d147e7dcd1a9a11e7 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a550f4f27590cfd2d147e7dcd1a9a11e7">getId</a> () const</td></tr>
<tr class="separator:a550f4f27590cfd2d147e7dcd1a9a11e7 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f68930bde94f645d111a73098b1a3ef inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a1f68930bde94f645d111a73098b1a3ef">isPastDue</a> (int64_t currentUnixTime, std::chrono::seconds timeLimit)</td></tr>
<tr class="separator:a1f68930bde94f645d111a73098b1a3ef inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a3efc778d6a6216f966043e7536033a inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3a3efc778d6a6216f966043e7536033a">getLoopCount</a> () const</td></tr>
<tr class="separator:a3a3efc778d6a6216f966043e7536033a inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f8bc16a3aee527fd564dc9cb6d5267b inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f8bc16a3aee527fd564dc9cb6d5267b">getLoopPause</a> () const</td></tr>
<tr class="separator:a3f8bc16a3aee527fd564dc9cb6d5267b inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6705ac03c838db6c81b490e0eda6ab45 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a6705ac03c838db6c81b490e0eda6ab45">getBackgroundAssetId</a> () const</td></tr>
<tr class="separator:a6705ac03c838db6c81b490e0eda6ab45 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44a1c3aa4dcc299c6648a6a03b20540f inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_asset_configuration.html">AssetConfiguration</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a44a1c3aa4dcc299c6648a6a03b20540f">getAssetConfiguration</a> () const</td></tr>
<tr class="separator:a44a1c3aa4dcc299c6648a6a03b20540f inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd2c7b8705a6d9e1a2cd8ef216a5a047 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#acd2c7b8705a6d9e1a2cd8ef216a5a047">printDiagnostic</a> ()</td></tr>
<tr class="separator:acd2c7b8705a6d9e1a2cd8ef216a5a047 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface</a></td></tr>
<tr class="memitem:a4a8b35275e648190dd7a49a94f2b31f1 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a4a8b35275e648190dd7a49a94f2b31f1">~RendererObserverInterface</a> ()=default</td></tr>
<tr class="separator:a4a8b35275e648190dd7a49a94f2b31f1 inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td></tr>
<tr class="memitem:afd1d5e2e5c4e778fe4e0a96c9537dc62 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62">State</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62a666a87025ab0d8965e221050c8948001">State::UNSET</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62a8c52684db8f49511e9b44471716bf164">State::SET</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62a2baa69eafc7204f3bd8648eba580c489">State::READY</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62af0e310ac027b783acc3f0772af161652">State::ACTIVATING</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62a18ff74f43da410c5529f7d6fca84f115">State::ACTIVE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62aa56be64be94c83837d37166bd3b30ae6">State::SNOOZING</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62adbd414f9aaabb67e8430e9520f604a79">State::SNOOZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62af6cdb3c6710b50ec65ee07f740847e10">State::STOPPING</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62a09d4d696b4e935115b9313e3c412509a">State::STOPPED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62a8f7afecbc8fbc4cd0f50a57d1172482e">State::COMPLETED</a>
<br />
 }</td></tr>
<tr class="separator:afd1d5e2e5c4e778fe4e0a96c9537dc62 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f3b31fc54d94c3ada26cc9c6e51f158 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158">StopReason</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158a666a87025ab0d8965e221050c8948001">StopReason::UNSET</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158a6bff61b82799856ef3361f62e121a00a">StopReason::AVS_STOP</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158a33964ffc87b70a90cfdccc616167fbe9">StopReason::LOCAL_STOP</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158ab9984206799a7f9fe4bd1b6c18db8112">StopReason::SHUTDOWN</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158a7f51a628e9b89fd1f36ba1ae3498ce3a">StopReason::LOG_OUT</a>
<br />
 }</td></tr>
<tr class="separator:a3f3b31fc54d94c3ada26cc9c6e51f158 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9d9bccbd753f88f8f747cfc31fbbfc7 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7">ParseFromJsonStatus</a> { <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7ae0aa021e21dddbd6d8cecec71e9cf564">ParseFromJsonStatus::OK</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7a435178e2250f29b0e0fbcd3c56611bd1">ParseFromJsonStatus::MISSING_REQUIRED_PROPERTY</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7ad8f24f388e990b9ccf8905b7993b99ae">ParseFromJsonStatus::INVALID_VALUE</a>
 }</td></tr>
<tr class="separator:ae9d9bccbd753f88f8f747cfc31fbbfc7 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface</a></td></tr>
<tr class="memitem:a5e16fd254735c5defa36b6c7020ba1ab inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba666a87025ab0d8965e221050c8948001">State::UNSET</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba17130e6c806885e23770df1519b18eb7">State::STARTED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba09d4d696b4e935115b9313e3c412509a">State::STOPPED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba8f7afecbc8fbc4cd0f50a57d1172482e">State::COMPLETED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ababb1ca97ec761fc37101737ba0aa2e7c5">State::ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a5e16fd254735c5defa36b6c7020ba1ab inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">alexaClientSDK::capabilityAgents::alerts::Alert</a></td></tr>
<tr class="memitem:a98413c1eb50fe5e2f4c8c0cdda3e992a inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a98413c1eb50fe5e2f4c8c0cdda3e992a">stateToString</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#afd1d5e2e5c4e778fe4e0a96c9537dc62">Alert::State</a> state)</td></tr>
<tr class="separator:a98413c1eb50fe5e2f4c8c0cdda3e992a inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f404334ef6ae2ed9dccf5608f6a433 inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae7f404334ef6ae2ed9dccf5608f6a433">stopReasonToString</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a3f3b31fc54d94c3ada26cc9c6e51f158">Alert::StopReason</a> stopReason)</td></tr>
<tr class="separator:ae7f404334ef6ae2ed9dccf5608f6a433 inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0bdd47f3ccf22fb8241336cb6e31ab9 inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae0bdd47f3ccf22fb8241336cb6e31ab9">parseFromJsonStatusToString</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae9d9bccbd753f88f8f747cfc31fbbfc7">Alert::ParseFromJsonStatus</a> parseFromJsonStatus)</td></tr>
<tr class="separator:ae0bdd47f3ccf22fb8241336cb6e31ab9 inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface</a></td></tr>
<tr class="memitem:a1c173605e1102ce062e5111d6e78e11d inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a1c173605e1102ce062e5111d6e78e11d">stateToString</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a> state)</td></tr>
<tr class="separator:a1c173605e1102ce062e5111d6e78e11d inherit pub_static_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a17eb89ecdae88dc2e597d127bcea9cb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17eb89ecdae88dc2e597d127bcea9cb1">&#9670;&nbsp;</a></span>TestAlert() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::test::TestAlert::TestAlert </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e2cd0c147c1e7cc8e9f513d05e82ca1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e2cd0c147c1e7cc8e9f513d05e82ca1">&#9670;&nbsp;</a></span>TestAlert() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::alerts::test::TestAlert::TestAlert </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>token</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>schedTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5c8ee193f8b408557c6451e5ca196c5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c8ee193f8b408557c6451e5ca196c5f">&#9670;&nbsp;</a></span>getTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::alerts::test::TestAlert::getTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns a string to identify the type of the class. Required for persistent storage.</p>
<dl class="section return"><dt>Returns</dt><dd>The type name of the alert. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a732f8646ce9addc8271d022116304613">alexaClientSDK::capabilityAgents::alerts::Alert</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Alerts/test/<a class="el" href="_alert_scheduler_test_8cpp.html">AlertSchedulerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
